Bug 21865 - Can't get Tk to work even though Tk RPM is installed
Summary: Can't get Tk to work even though Tk RPM is installed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-07 01:02 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 01:04:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-07 01:02:24 UTC
I've installed the Tk RPM (tk-8.3.1-46.i386.rpm) multiple times, but I 
can't seem to get it to work.  Typing 

perl -e 'use Tk'

yields:

Can't locate Tk.pm in @INC (@INC 
contains: /usr/lib/perl5/site_perl/5.6.0/i386-linux .... blah blah blah

I've tried reloading the RPM, and also loading Tk via CPAN (won't finish 
install) , but no luck.  Is there something I'm missing here?

Comment 1 Eido Inoue 2001-07-10 17:38:34 UTC
You need to install the perl-Tk RPM, not just the tk RPM, to use Tk within Perl.



Note You need to log in before you can comment on or make changes to this bug.